Airwallex logo
Airwallex logoAirwallex logo

Connected Stores

Copy for LLMView as Markdown

A Connected Store object represents an e-commerce store that is owned by the account and was ever connected to Airwallex.

Endpoints
GET /api/v1/ecosystem/connected_stores/{id}
GET /api/v1/ecosystem/connected_stores

Get connected store by ID

GET /api/v1/ecosystem/connected_stores/{id}

Gets the details of a Connected Store object by unique identifier.

Parameters
idrequiredstring

The unique identifier of the connected store object.

Response body - 200 OK
default_currencystring

The default currency of the store is in three-letter ISO 4217 format.

idstring

The unique identifier of the store.

namestring

The unique identifier or brand name of the store on the commerce platform.

platformstring

The commerce platform of the store. One of AMAZON, EBAY, SHOPIFY, SHOPEE, FNAC, LAZADA, WOO_COMMERCE, SHOPLAZZA, MAGENTO.

platform_seller_idstring

The seller unique identifier on the commerce platform.

statusstring

One of CONNECTED or DISCONNECTED.

urlstring

The URL of the commerce store.

Errors
Error statusDescription
401

Unauthorized

429

Too many requests

500

Server Error

GET /api/v1/ecosystem/connected_stores/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/ecosystem/connected_stores/connected_store_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "default_currency": "USD",
3 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
4 "name": "airwallex shop",
5 "platform": "`AMAZON`",
6 "platform_seller_id": "A3HCQF5OX1HL0K",
7 "status": "`CONNECTED`",
8 "url": "https://www.amazon.com/shops/A3HCQF5OX1HL0K"
9}
Was this section helpful?

Get list of connected stores

GET /api/v1/ecosystem/connected_stores

Get a list of connected stores based on the query parameters.

Parameters
from_created_atstring

The start time of created_at in ISO8601 format.

page_numinteger

The number of the page. Starts from 0. Defaults to 0.

page_sizeinteger

The number of items returned per page. Defaults to 20.

to_created_atstring

The end time of created_at in ISO8601 format.

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

The paginated connected store objects.

items.default_currencystring

The default currency of the store is in three-letter ISO 4217 format.

items.idstring

The unique identifier of the store.

items.namestring

The unique identifier or brand name of the store on the commerce platform.

items.platformstring

The commerce platform of the store. One of AMAZON, EBAY, SHOPIFY, SHOPEE, FNAC, LAZADA, WOO_COMMERCE, SHOPLAZZA, MAGENTO.

items.platform_seller_idstring

The seller unique identifier on the commerce platform.

items.statusstring

One of CONNECTED or DISCONNECTED.

items.urlstring

The URL of the commerce store.

Errors
Error statusDescription
401

Unauthorized

429

Too many requests

500

Server Error

GET /api/v1/ecosystem/connected_stores
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/ecosystem/connected_stores' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "default_currency": "USD",
6 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
7 "name": "airwallex shop",
8 "platform": "`AMAZON`",
9 "platform_seller_id": "A3HCQF5OX1HL0K",
10 "status": "`CONNECTED`",
11 "url": "https://www.amazon.com/shops/A3HCQF5OX1HL0K"
12 }
13 ]
14}
Was this section helpful?